/*
 *  XenoStep_theme_images.h
 */

#ifndef __XENOSTEP_IMAGES_H__
#define __XENOSTEP_IMAGES_H__

#include "XenoStep_theme.h"

/*    Radio button
    "radio_xpm" for all states
    
    radio_normal_remap:                         normal/prelight state
    radio_down_remap:                          normal/prelight + button down
    radio_down_remap + radio_selected_remap: selected
*/
static const char * radio_xpm[] = {
"13 13 51 1",
". c #000000",
"S c #000000",
"? c #000000",
"= c #000000",
"* c #000000",
"z c #000000",
"! c #000000",
"% c #000000",
"& c #000000",
"i c #000000",
"j c #000000",
"8 c #000000",
"9 c #000000",
"W c #000000",
"B c #000000",
"L c #000000",
"D c #000000",
"0 c #000000",
"1 c #000000",
"2 c #000000",
"3 c #000000",
"4 c #000000",
"5 c #000000",
"6 c #000000",
"7 c #000000",
"a c #000000",
"b c #000000",
"c c #000000",
"d c #000000",
"e c #000000",
"f c #000000",
"g c #000000",
"h c #000000",
"k c #000000",
"l c #000000",
"m c #000000",
"n c #000000",
"o c #000000",
"p c #000000",
"q c #000000",
"r c #000000",
"s c #000000",
"t c #000000",
"u c #000000",
"v c #000000",
"w c #000000",
"x c #000000",
"y c #000000",
"# c #000000",
"$ c #000000",
"  None",
"   210Wklm   ",
"  3654Lstun  ",
" 37L98.z!#vo ",
"26L..*?*..$wp",
"159.=SSS=.%xq",
"048*SSSSS*&yr",
"WL.?SSSSS?.DB",
"ksz*SSSSS*iea",
"lt!.=SSS=.jfb",
"mu#..*?*..Dgc",
" nv$%&.ijDhd ",
"  owxyDefgd  ",
"   pqrBabc   "
};

static const guchar radio_normal_remap[] = {
    '.', XENOSTEP_BG,XENOSTEP_CURRENT,
    'S', XENOSTEP_BG,XENOSTEP_CURRENT,
    '?', XENOSTEP_BG,XENOSTEP_CURRENT,
    '=', XENOSTEP_BG,XENOSTEP_CURRENT,
    '*', XENOSTEP_BG,XENOSTEP_CURRENT,
    'z', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '!', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '%', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '&', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'i', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    'j', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '8', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '9', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'W', XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    'B', XENOSTEP_THIN, XENOSTEP_DARK,XENOSTEP_CURRENT, XENOSTEP_BLACK,
    'L', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    'D', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_CURRENT,
     
    '0', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '1', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '2', XENOSTEP_BI, 51,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '3', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '4', XENOSTEP_BI, 21,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '5', XENOSTEP_BI, 85,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '6', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '7', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    
    'a', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'b', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'c', XENOSTEP_BI, 51,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'd', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'e', XENOSTEP_BI, 21,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'f', XENOSTEP_BI, 85,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'g', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'h', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    
    'k', XENOSTEP_TRI, 27,        21,   XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'l', XENOSTEP_TRI, 52,        85,   XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'm', XENOSTEP_TRI, 75,        204,  XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'n', XENOSTEP_TRI, 110,       127,  XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'o', XENOSTEP_TRI, 110,       127,  XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'p', XENOSTEP_TRI, 75,        204,  XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'q', XENOSTEP_TRI, 52,        85,   XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'r', XENOSTEP_TRI, 27,        21,   XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    's', XENOSTEP_QUAD, 21,       32,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    't', XENOSTEP_QUAD, 85,       62,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'u', XENOSTEP_QUAD, 204,      88,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'v', XENOSTEP_QUAD, 128,      127,  XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'w', XENOSTEP_QUAD, 204,      88,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    'x', XENOSTEP_QUAD, 85,       62,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    'y', XENOSTEP_QUAD, 21,       32,   XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    
    '#', XENOSTEP_BI,   116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,
    '$', XENOSTEP_BI,   116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    0
};

static const guchar radio_selected_remap[] = {
    '.', XENOSTEP_BASE,XENOSTEP_CURRENT,
    'S', XENOSTEP_BASE,XENOSTEP_SELECTED,
    '?', XENOSTEP_BI,    127,            XENOSTEP_BASE,XENOSTEP_CURRENT, XENOSTEP_BASE,XENOSTEP_SELECTED,
    '=', XENOSTEP_BI,    179,            XENOSTEP_BASE,XENOSTEP_CURRENT, XENOSTEP_BASE,XENOSTEP_SELECTED,
    '*', XENOSTEP_BI,    83,                XENOSTEP_BASE,XENOSTEP_CURRENT, XENOSTEP_BASE,XENOSTEP_SELECTED,
    'z', XENOSTEP_TRI,    40,        230,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK, XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE, XENOSTEP_BASE,XENOSTEP_CURRENT,
    '!', XENOSTEP_TRI,    75,        153,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK, XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_BASE,XENOSTEP_CURRENT,
    '%', XENOSTEP_TRI,    75,        153,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE, XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_BASE,XENOSTEP_CURRENT,
    '&', XENOSTEP_TRI,    40,        230,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE, XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_BASE,XENOSTEP_CURRENT,
    'i', XENOSTEP_BI,    230,            XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE, XENOSTEP_BASE,XENOSTEP_CURRENT,
    'j', XENOSTEP_BI,    153,            XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE, XENOSTEP_BASE,XENOSTEP_CURRENT,
    '8', XENOSTEP_BI,    230,            XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK, XENOSTEP_BASE,XENOSTEP_CURRENT,
    '9', XENOSTEP_BI,    153,            XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK, XENOSTEP_BASE,XENOSTEP_CURRENT,

    'W', XENOSTEP_DARK, XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'B', XENOSTEP_LIGHT, XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'L', XENOSTEP_THIN, XENOSTEP_BASE, XENOSTEP_CURRENT, XENOSTEP_BLACK,
    'D', XENOSTEP_THIN, XENOSTEP_BASE, XENOSTEP_CURRENT, XENOSTEP_WHITE,
     
    '0', XENOSTEP_BI,    234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '1', XENOSTEP_BI,    170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '2', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '3', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '4', XENOSTEP_BI, 21,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '5', XENOSTEP_BI, 85,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '6', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '7', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    'a', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'b', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'c', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'd', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'e', XENOSTEP_BI, 21,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'f', XENOSTEP_BI, 85,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'g', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'h', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    'k', XENOSTEP_TRI, 27,        21,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'l', XENOSTEP_TRI, 52,        85,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'm', XENOSTEP_TRI, 75,        204,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'n', XENOSTEP_TRI, 110,    127,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'o', XENOSTEP_TRI, 110,    127,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'p', XENOSTEP_TRI, 75,        204,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'q', XENOSTEP_TRI, 52,        85,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'r', XENOSTEP_TRI, 27,        21,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    's', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    't', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'u', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'v', XENOSTEP_QUAD, 128,    127,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'w', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'x', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'y', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    '#', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    '$', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BASE,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    0
};

static const guchar radio_down_remap[] = {
    '.', XENOSTEP_BG,XENOSTEP_CURRENT,
    'S', XENOSTEP_BG,XENOSTEP_CURRENT,
    '?', XENOSTEP_BG,XENOSTEP_CURRENT,
    '=', XENOSTEP_BG,XENOSTEP_CURRENT,
    '*', XENOSTEP_BG,XENOSTEP_CURRENT,
    'z', XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '!', XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '%', XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '&', XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_BG,XENOSTEP_CURRENT,
    'i', XENOSTEP_BI, 230,            XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                    XENOSTEP_BG,XENOSTEP_CURRENT,
    'j', XENOSTEP_BI, 153,            XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                    XENOSTEP_BG,XENOSTEP_CURRENT,
    '8', XENOSTEP_BI, 230,            XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                    XENOSTEP_BG,XENOSTEP_CURRENT,
    '9', XENOSTEP_BI, 153,            XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'W', XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'B', XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'L', XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'D', XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,
     
    '0', XENOSTEP_BI,    234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '1', XENOSTEP_BI,    170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '2', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '3', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '4', XENOSTEP_BI, 21,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '5', XENOSTEP_BI, 85,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '6', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    '7', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,                XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    'a', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'b', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'c', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'd', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'e', XENOSTEP_BI, 21,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'f', XENOSTEP_BI, 85,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'g', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'h', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,                XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    'k', XENOSTEP_TRI, 27,        21,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'l', XENOSTEP_TRI, 52,        85,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'm', XENOSTEP_TRI, 75,        204,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'n', XENOSTEP_TRI, 110,    127,    XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'o', XENOSTEP_TRI, 110,    127,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'p', XENOSTEP_TRI, 75,        204,    XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'q', XENOSTEP_TRI, 52,        85,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'r', XENOSTEP_TRI, 27,        21,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    's', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    't', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'u', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'v', XENOSTEP_QUAD, 128,    127,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,     XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'w', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'x', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'y', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_LIGHT,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_DARK,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    '#', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    '$', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    0
};


/* Checkmark
    "check_xpm" for all images
    
    check_bg_remap:        for images with normal or active state.
    check_base_remap:    for images with "base" as background.
*/
static const guchar check_bg_remap[] = {
    '#', XENOSTEP_FG, XENOSTEP_CURRENT,
    0
};

static const guchar check_base_remap[] = {
    '#', XENOSTEP_FG, XENOSTEP_CURRENT,
    0
};
/*
static const char * check_xpm[] = {
"8 8 2 1",
"# c #000000",
"  c None",
"##    ##",
" ##  ## ",
"  ####  ",
"   ##   ",
"  ####  ",
" ##  ## ",
"##    ##",
"        "
};
*/
static const char * check_xpm[] = {
"8 8 2 1",
"# c #000000",
"  c None",
"       #",
"      ##",
"     ###",
"#   ### ",
"## ###  ",
"#####   ",
" ###    ",
"  #     "
};

/* Radio menu item */
static const char * radio_item_xpm[] = {
"6 6 3 1",
"# c #000000",
". c #000000",
"  c None",
" .##. ",
".####.",
"######",
"######",
".####.",
" .##. ",
};

static const guchar radio_item_remap[] = {
    '#', XENOSTEP_FG,XENOSTEP_CURRENT,
    '.', XENOSTEP_BI,    127, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_FG,XENOSTEP_CURRENT,
    0
};


/* Scrollbar dimple */
static const char * dimple_xpm[] = {
"6 6 10 1",
"# c #555555",
"a c #aaaaaa",
"c c #555555",
"d c #7f7f7f",
"e c #d4d4d4",
"f c #7f7f7f",
"g c #393939",
". c #000000",
"b c #ffffff",
"  c None",
" c..c ",
"c.g##d",
".g#faa",
".#fabb",
"c#abbe",
" dabe "
};

static const guchar dimple_remap[] = {
    '#', XENOSTEP_HUE,XENOSTEP_BG,XENOSTEP_CURRENT,0xff,0x55,
    'a', XENOSTEP_HUE,XENOSTEP_BG,XENOSTEP_CURRENT,0x7f,0xaa,
    'c', XENOSTEP_BI, 0x7f,    XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BLACK,
    'd', XENOSTEP_BI, 0x7f,    XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_HUE,XENOSTEP_BG,XENOSTEP_CURRENT,0x7f,0x55,
    'e', XENOSTEP_BI, 0x7f,    XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    'f', XENOSTEP_HUE,XENOSTEP_BG,XENOSTEP_CURRENT,0xff,0x7f,
    'g', XENOSTEP_HUE,XENOSTEP_BG,XENOSTEP_CURRENT,0xff,0x39,
    0
};



static const char * corner_xpm[] = {
"13 13 46 1",
"z c #000000",
"! c #000000",
"% c #000000",
"& c #000000",
"i c #000000",
"j c #000000",
"8 c #000000",
"9 c #000000",
"W c #000000",
"B c #000000",
"L c #000000",
"D c #000000",
"0 c #000000",
"1 c #000000",
"2 c #000000",
"3 c #000000",
"4 c #000000",
"5 c #000000",
"6 c #000000",
"7 c #000000",
"a c #000000",
"b c #000000",
"c c #000000",
"d c #000000",
"e c #000000",
"f c #000000",
"g c #000000",
"h c #000000",
"k c #000000",
"l c #000000",
"m c #000000",
"n c #000000",
"o c #000000",
"p c #000000",
"q c #000000",
"r c #000000",
"s c #000000",
"t c #000000",
"u c #000000",
"v c #000000",
"w c #000000",
"x c #000000",
"y c #000000",
"# c #000000",
"$ c #000000",
"  None",
"   210Wklm   ",
"  3654Lstun  ",
" 37L98 z!#vo ",
"26L       $wp",
"159       %xq",
"048       &yr",
"WL         DB",
"ksz       iea",
"lt!       jfb",
"mu#       Dgc",
" nv$%& ijDhd ",
"  owxyDefgd  ",
"   pqrBabc   "
};

static const guchar corner_remap[] = {
    'z', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '!', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '%', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 75,        153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '&', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_TRI, 40,        230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'i', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    'j', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '8', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 230,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '9', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_BI, 153,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'W', XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    'B', XENOSTEP_THIN, XENOSTEP_DARK,XENOSTEP_CURRENT, XENOSTEP_BLACK,
    'L', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    'D', XENOSTEP_THIN, XENOSTEP_BG,XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_CURRENT,
     
    '0', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '1', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '2', XENOSTEP_BI, 51,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '3', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '4', XENOSTEP_BI, 21,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '5', XENOSTEP_BI, 85,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '6', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    '7', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN, XENOSTEP_LIGHT,XENOSTEP_CURRENT, XENOSTEP_WHITE,
    
    'a', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'b', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'c', XENOSTEP_BI, 51,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'd', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'e', XENOSTEP_BI, 21,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'f', XENOSTEP_BI, 85,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'g', XENOSTEP_BI, 204,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'h', XENOSTEP_BI, 128,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    
    'k', XENOSTEP_TRI, 27,        21,        XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'l', XENOSTEP_TRI, 52,        85,        XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'm', XENOSTEP_TRI, 75,        204,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'n', XENOSTEP_TRI, 110,        127,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'o', XENOSTEP_TRI, 110,        127,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'p', XENOSTEP_TRI, 75,        204,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'q', XENOSTEP_TRI, 52,        85,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'r', XENOSTEP_TRI, 27,        21,        XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    's', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    't', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'u', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'v', XENOSTEP_QUAD, 128,    127,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,
    'w', XENOSTEP_QUAD, 204,    88,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    'x', XENOSTEP_QUAD, 85,        62,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    'y', XENOSTEP_QUAD, 21,        32,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_DARK,XENOSTEP_CURRENT,XENOSTEP_BLACK,        XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_LIGHT,XENOSTEP_CURRENT,XENOSTEP_WHITE,
    
    '#', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,
    '$', XENOSTEP_BI, 116,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_DARK,XENOSTEP_CURRENT,    XENOSTEP_THIN,XENOSTEP_BG,XENOSTEP_CURRENT,XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    0
/*    
    'z', XENOSTEP_TRI, 40,        230,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '!', XENOSTEP_TRI, 75,        153,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '%', XENOSTEP_TRI, 75,        153,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '&', XENOSTEP_TRI, 40,        230,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'i', XENOSTEP_BI, 230,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    'j', XENOSTEP_BI, 153,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BG,XENOSTEP_CURRENT,
    '8', XENOSTEP_BI, 230,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    '9', XENOSTEP_BI, 153,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_BG,XENOSTEP_CURRENT,
    
    'W', XENOSTEP_WHITE,
    'B', XENOSTEP_BLACK,
    'L', XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    'D', XENOSTEP_DARK,XENOSTEP_CURRENT,
     
    '0', XENOSTEP_BI,    234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '1', XENOSTEP_BI,    170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '2', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '3', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '4', XENOSTEP_BI, 21,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '5', XENOSTEP_BI, 85,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '6', XENOSTEP_BI, 204,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    '7', XENOSTEP_BI, 128,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    
    'a', XENOSTEP_BI, 234,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_BLACK,
    'b', XENOSTEP_BI, 170,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_BLACK,
    'c', XENOSTEP_BI, 51,        XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_BLACK,
    'd', XENOSTEP_BI, 127,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,    XENOSTEP_BLACK,
    'e', XENOSTEP_BI, 21,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'f', XENOSTEP_BI, 85,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'g', XENOSTEP_BI, 204,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'h', XENOSTEP_BI, 128,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    
    'k', XENOSTEP_TRI, 27,        21,        XENOSTEP_WHITE,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'l', XENOSTEP_TRI, 52,        85,        XENOSTEP_WHITE,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'm', XENOSTEP_TRI, 75,        204,    XENOSTEP_WHITE,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'n', XENOSTEP_TRI, 110,    127,    XENOSTEP_WHITE,XENOSTEP_BLACK,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'o', XENOSTEP_TRI, 110,    127,    XENOSTEP_BLACK,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'p', XENOSTEP_TRI, 75,        204,    XENOSTEP_BLACK,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'q', XENOSTEP_TRI, 52,        85,        XENOSTEP_BLACK,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    'r', XENOSTEP_TRI, 27,        21,        XENOSTEP_BLACK,XENOSTEP_WHITE,    XENOSTEP_BG,XENOSTEP_PARENT|XENOSTEP_CURRENT,
    
    's', XENOSTEP_QUAD, 21,        32,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    't', XENOSTEP_QUAD, 85,        62,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'u', XENOSTEP_QUAD, 204,    88,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'v', XENOSTEP_QUAD, 128,    127,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,
    'w', XENOSTEP_QUAD, 204,    88,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    'x', XENOSTEP_QUAD, 85,        62,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    'y', XENOSTEP_QUAD, 21,        32,        XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_BLACK,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_WHITE,
    
    '#', XENOSTEP_BI, 116,    XENOSTEP_LIGHT,XENOSTEP_CURRENT,    XENOSTEP_DARK,XENOSTEP_CURRENT,
    '$', XENOSTEP_BI, 116,    XENOSTEP_DARK,XENOSTEP_CURRENT,        XENOSTEP_LIGHT,XENOSTEP_CURRENT,
    0
*/
};

/*    The available xpm, remap and state combinations. */
XenoStepImage xenostep_images[] = {
    check_xpm,      XENOSTEP_MASK_CHECK,        check_base_remap,       GTK_STATE_NORMAL,       XENOSTEP_USE(FG, XENOSTEP_NORMAL)     | XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    check_xpm,      XENOSTEP_MASK_CHECK,        check_base_remap,       GTK_STATE_PRELIGHT,     XENOSTEP_USE(FG, XENOSTEP_PRELIGHT)   | XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    check_xpm,      XENOSTEP_MASK_CHECK,        check_base_remap,       GTK_STATE_INSENSITIVE,  XENOSTEP_USE(FG, XENOSTEP_INSENSITIVE)| XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    
    check_xpm,      XENOSTEP_MASK_CHECK,        check_bg_remap,         GTK_STATE_ACTIVE,       XENOSTEP_USE(FG, XENOSTEP_ACTIVE)     | XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    check_xpm,      XENOSTEP_MASK_CHECK,        check_bg_remap,         GTK_STATE_NORMAL,       XENOSTEP_USE(FG, XENOSTEP_NORMAL)     | XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    check_xpm,      XENOSTEP_MASK_CHECK,        check_bg_remap,         GTK_STATE_PRELIGHT,     XENOSTEP_USE(FG, XENOSTEP_PRELIGHT)   | XENOSTEP_USE(BASE, XENOSTEP_NORMAL),
    check_xpm,      XENOSTEP_MASK_CHECK,        check_bg_remap,         GTK_STATE_INSENSITIVE,  XENOSTEP_USE(FG, XENOSTEP_INSENSITIVE)| XENOSTEP_USE(BASE, XENOSTEP_NORMAL),

    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_normal_remap,     GTK_STATE_NORMAL,       XENOSTEP_USE(BG, XENOSTEP_NORMAL),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_normal_remap,     GTK_STATE_PRELIGHT,     XENOSTEP_USE(BG, XENOSTEP_PRELIGHT),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_normal_remap,     GTK_STATE_INSENSITIVE,  XENOSTEP_USE(BG, XENOSTEP_INSENSITIVE),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_selected_remap,   GTK_STATE_NORMAL,       XENOSTEP_USE(BG, XENOSTEP_NORMAL) | XENOSTEP_USE(BASE,XENOSTEP_NORMAL)   | XENOSTEP_USE(BASE,XENOSTEP_SELECTED),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_selected_remap,   GTK_STATE_PRELIGHT,     XENOSTEP_USE(BG, XENOSTEP_NORMAL) | XENOSTEP_USE(BASE,XENOSTEP_PRELIGHT) | XENOSTEP_USE(BASE,XENOSTEP_SELECTED),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_down_remap,       GTK_STATE_INSENSITIVE,  XENOSTEP_USE(BG, XENOSTEP_INSENSITIVE),
    radio_xpm,      XENOSTEP_MASK_RADIO,        radio_down_remap,       GTK_STATE_ACTIVE,       XENOSTEP_USE(BG, XENOSTEP_ACTIVE),
    
    radio_item_xpm, XENOSTEP_MASK_RADIO_ITEM,   radio_item_remap,       GTK_STATE_NORMAL,       XENOSTEP_USE(FG, XENOSTEP_NORMAL)      | XENOSTEP_USE(BG, XENOSTEP_NORMAL),
    radio_item_xpm, XENOSTEP_MASK_RADIO_ITEM,   radio_item_remap,       GTK_STATE_PRELIGHT,     XENOSTEP_USE(FG, XENOSTEP_PRELIGHT)    | XENOSTEP_USE(BG, XENOSTEP_PRELIGHT),
    radio_item_xpm, XENOSTEP_MASK_RADIO_ITEM,   radio_item_remap,       GTK_STATE_INSENSITIVE,  XENOSTEP_USE(FG, XENOSTEP_INSENSITIVE) | XENOSTEP_USE(BG, XENOSTEP_PRELIGHT),

    corner_xpm,     XENOSTEP_MASK_CORNER,       corner_remap,           GTK_STATE_NORMAL,       XENOSTEP_USE(BG, XENOSTEP_NORMAL),
    corner_xpm,     XENOSTEP_MASK_CORNER,       corner_remap,           GTK_STATE_ACTIVE,       XENOSTEP_USE(BG, XENOSTEP_ACTIVE),
    corner_xpm,     XENOSTEP_MASK_CORNER,       corner_remap,           GTK_STATE_INSENSITIVE,  XENOSTEP_USE(BG, XENOSTEP_INSENSITIVE),

    dimple_xpm,     XENOSTEP_MASK_DIMPLE,       dimple_remap,           GTK_STATE_NORMAL,       XENOSTEP_USE(BG, XENOSTEP_NORMAL),
    dimple_xpm,     XENOSTEP_MASK_DIMPLE,       dimple_remap,           GTK_STATE_PRELIGHT,     XENOSTEP_USE(BG, XENOSTEP_PRELIGHT)
};


#endif

